# This test checks to make sure dns-query-type-mx is rejected in a configuration
# directory.

FROM_ADDRESS=test-${TEST_NUM}.${RANDOM}.${RANDOM}@invalid.test

mkdir -p ${TMPDIR}/${TEST_NUM}-config.d/_sender_/test
echo dns-query-type-mx=a >> ${TMPDIR}/${TEST_NUM}-config.d/_sender_/test/invalid

cat input.txt | sed -e "s/FROM_ADDRESS/${FROM_ADDRESS}/g" -e "s/TARGET_EMAIL/$1/g" > ${TMPDIR}/${TEST_NUM}-input.txt
echo "${SENDRECV_PATH} -t 30 -r 221 -- ${SPAMDYKE_PATH} --config-dir ${TMPDIR}/${TEST_NUM}-config.d --log-target stderr ${QMAIL_CMDLINE} < ${TMPDIR}/${TEST_NUM}-input.txt > ${TMPDIR}/${TEST_NUM}-output.txt 2>&1"
${SENDRECV_PATH} -t 30 -r 221 -- ${SPAMDYKE_PATH} --config-dir ${TMPDIR}/${TEST_NUM}-config.d --log-target stderr ${QMAIL_CMDLINE} < ${TMPDIR}/${TEST_NUM}-input.txt > ${TMPDIR}/${TEST_NUM}-output.txt 2>&1

output=`grep "Option not allowed in configuration file, found in file ${TMPDIR}/${TEST_NUM}-config.d/_sender_/test/invalid on line 1: dns-query-type-mx" ${TMPDIR}/${TEST_NUM}-output.txt | grep ERROR`
if [ ! -z "${output}" ]
then
  outcome="success"
else
  echo Filter failure - tmp/${TEST_NUM}-output.txt:
  cat ${TMPDIR}/${TEST_NUM}-output.txt

  outcome="failure"
fi
