# This test looks for warning messages from the config-test when the file
# passed to qmail-morercpthosts-cdb is has a very long key (over 1023 bytes)

${CREATECDB_PATH} -f ${TMPDIR}/${TEST_NUM}-morercpthosts.cdb -n 50 -o 1

echo "${SPAMDYKE_PATH} -ldebug --qmail-morercpthosts-cdb ${TMPDIR}/${TEST_NUM}-morercpthosts.cdb --config-test ${QMAIL_CMDLINE} > ${TMPDIR}/${TEST_NUM}-output.txt 2>&1"
${SPAMDYKE_PATH} -ldebug --qmail-morercpthosts-cdb ${TMPDIR}/${TEST_NUM}-morercpthosts.cdb --config-test ${QMAIL_CMDLINE} > ${TMPDIR}/${TEST_NUM}-output.txt 2>&1

output=`grep "WARNING: qmail-morercpthosts-cdb has been changed from the default value of /var/qmail/control/morercpthosts.cdb, this is not recommended and could lead to errors during recipient validation." ${TMPDIR}/${TEST_NUM}-output.txt`
if [ ! -z "${output}" ]
then
  output=`grep -E "WARNING\(qmail-morercpthosts-cdb\): Key length \(from main index [0-9]*, slot [0-9]*\) is too big to read into memory, skipping hash verification: [0-9]* bytes, maximum [0-9]* bytes" ${TMPDIR}/${TEST_NUM}-output.txt`
  if [ ! -z "${output}" ]
  then
    output=`grep "SUCCESS(qmail-morercpthosts-cdb): CDB file tests succeeded: ${TMPDIR}/${TEST_NUM}-morercpthosts.cdb" ${TMPDIR}/${TEST_NUM}-output.txt`
    if [ ! -z "${output}" ]
    then
      output=`grep "SUCCESS: Tests complete. No errors detected." ${TMPDIR}/${TEST_NUM}-output.txt`
      if [ ! -z "${output}" ]
      then
        outcome="success"
      else
        echo Failure - tmp/${TEST_NUM}-output.txt:
        cat ${TMPDIR}/${TEST_NUM}-output.txt

        outcome="failure"
      fi
    else
      echo Failure - tmp/${TEST_NUM}-output.txt:
      cat ${TMPDIR}/${TEST_NUM}-output.txt

      outcome="failure"
    fi
  else
    echo Failure - tmp/${TEST_NUM}-output.txt:
    cat ${TMPDIR}/${TEST_NUM}-output.txt

    outcome="failure"
  fi
else
  echo Failure - tmp/${TEST_NUM}-output.txt:
  cat ${TMPDIR}/${TEST_NUM}-output.txt

  outcome="failure"
fi
