# This test looks for an incomplete message in syslog when the
# rdns-blacklist-dir option is used in a config-dir.

export TCPREMOTEIP=11.22.33.44

echo "44.33.22.11.in-addr.arpa PTR NORMAL 0 mail.example.foo" > ${TMPDIR}/${TEST_NUM}-dns_config.txt
echo "mail.example.foo A NORMAL 0 11.22.33.44" >> ${TMPDIR}/${TEST_NUM}-dns_config.txt

NAMESERVER_IP=127.0.0.1:`${DNSDUMMY_PATH} -t 30 -f ${TMPDIR}/${TEST_NUM}-dns_config.txt`

FQDN=mail.example.foo
FQDN_PATH=${TMPDIR}/${TEST_NUM}-blacklist.d/`${DOMAIN2PATH_PATH} ${FQDN}`
mkdir -p ${TMPDIR}/${TEST_NUM}-blacklist.d/`${DOMAIN2PATH_PATH} -d ${FQDN}`
touch ${FQDN_PATH}

FROM_USER=test-${TEST_NUM}.${RANDOM}.${RANDOM}
FROM_ADDRESS=${FROM_USER}@example.com

mkdir -p ${TMPDIR}/${TEST_NUM}-config.d/_sender_/com/example/_at_
echo rdns-blacklist-dir=${TMPDIR}/${TEST_NUM}-blacklist.d > ${TMPDIR}/${TEST_NUM}-config.d/_sender_/com/example/_at_/${FROM_USER}

cat input.txt | sed -e "s/TARGET_EMAIL/$1/g" -e "s/FROM_ADDRESS/${FROM_ADDRESS}/g" > ${TMPDIR}/${TEST_NUM}-input.txt
echo "${SENDRECV_PATH} -t 30 -r 554 -- ${SPAMDYKE_PATH} --dns-server-ip ${NAMESERVER_IP} --log-target syslog -linfo --config-dir ${TMPDIR}/${TEST_NUM}-config.d ${QMAIL_CMDLINE} < ${TMPDIR}/${TEST_NUM}-input.txt > ${TMPDIR}/${TEST_NUM}-output.txt"
${SENDRECV_PATH} -t 30 -r 554 -- ${SPAMDYKE_PATH} --dns-server-ip ${NAMESERVER_IP} --log-target syslog -linfo --config-dir ${TMPDIR}/${TEST_NUM}-config.d ${QMAIL_CMDLINE} < ${TMPDIR}/${TEST_NUM}-input.txt > ${TMPDIR}/${TEST_NUM}-output.txt

output=`grep "554 Refused. Your domain name is blacklisted." ${TMPDIR}/${TEST_NUM}-output.txt`
if [ ! -z "${output}" ]
then
  # Wait for syslogd to write the message.
  sleep 10
  output=`grep -i "DENIED_BLACKLIST_NAME from: ${FROM_USER}@example.com to: $1 origin_ip: 11.22.33.44 origin_rdns: ${FQDN} auth: (unknown) encryption: (none) reason: ${FQDN_PATH}" /var/log/maillog`
  if [ ! -z "${output}" ]
  then
    outcome="success"
  else
    echo Filter failure - /var/log/maillog:
    grep "from: ${FROM_USER}@example.com" /var/log/maillog
    echo "Expected: DENIED_BLACKLIST_NAME from: ${FROM_USER}@example.com to: $1 origin_ip: 11.22.33.44 origin_rdns: ${FQDN} auth: (unknown) encryption: (none) reason: ${FQDN_PATH}"

    outcome="failure"
  fi
else
  echo Filter failure - tmp/${TEST_NUM}-output.txt:
  cat ${TMPDIR}/${TEST_NUM}-output.txt

  outcome="failure"
fi
